Bug 1315584 - Coordination for aodh-evaluator is broken
Coordination for aodh-evaluator is broken
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-aodh (Show other bugs)
9.0 (Mitaka)
Unspecified Unspecified
unspecified Severity unspecified
: async
: 9.0 (Mitaka)
Assigned To: Eoghan Glynn
Yurii Prokulevych
: TestOnly, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-08 02:12 EST by Yurii Prokulevych
Modified: 2016-09-06 12:11 EDT (History)
7 users (show)

See Also:
Fixed In Version: openstack-aodh-2.0.3-2.el7ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-06 12:11:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1514376 None None None 2016-03-08 02:12 EST
OpenStack gerrit 319303 None None None 2016-06-03 09:12 EDT
OpenStack gerrit 326573 None None None 2016-06-07 11:25 EDT

  None (edit)
Description Yurii Prokulevych 2016-03-08 02:12:07 EST
Description of problem (clone of upstream bug):
===============================================
While having 2 instances of aodh-evaluator strange behavior is observed in logs:
- some alarms might be skipped by both evaluators
- some alarms might be evaluated by both evaluators
- all alarms are skipped by both evaluaotors

Coordination backend - redis.
Both evaluator are working as expected when just one instance is running.
Both running on different nodes.

Version-Release number of selected component (if applicable):
=============================================================
openstack-aodh-common-1.1.2-1.el7ost.noarch
openstack-aodh-notifier-1.1.2-1.el7ost.noarch
openstack-aodh-api-1.1.2-1.el7ost.noarch
openstack-aodh-compat-1.1.2-1.el7ost.noarch
openstack-aodh-listener-1.1.2-1.el7ost.noarch
openstack-aodh-evaluator-1.1.2-1.el7ost.noarch
openstack-aodh-expirer-1.1.2-1.el7ost.noarch
python-aodh-1.1.2-1.el7ost.noarch

redis-2.8.24-1.el7ost.x86_64
python-redis-2.10.3-3.el7ost.noarch

python-tooz-1.24.0-1.el7ost.noarch
Comment 1 Julien Danjou 2016-05-20 11:05:48 EDT
Backport upstream for Mitaka is at https://review.openstack.org/319303
Comment 2 Julien Danjou 2016-06-07 11:25:35 EDT
Backported to Liberty https://review.openstack.org/326573
Comment 5 Yurii Prokulevych 2016-08-29 11:19:16 EDT
Verified with:
--------------
openstack-aodh-api-2.0.3-2.el7ost.noarch
openstack-aodh-common-2.0.3-2.el7ost.noarch
openstack-aodh-evaluator-2.0.3-2.el7ost.noarch
openstack-aodh-listener-2.0.3-2.el7ost.noarch
python-aodh-2.0.3-2.el7ost.noarch
python-aodhclient-0.5.0-1.el7ost.noarch
openstack-aodh-notifier-2.0.3-2.el7ost.noarch

Note You need to log in before you can comment on or make changes to this bug.